/*
 *  Feynman -- Wayland compositor for GNU Emacs
 *
 * Copyright (c) 2022 Sameer Rahmani <lxsameer@gnu.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 2.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef FEYNMAN_UTILS_H
#define FEYNMAN_UTILS_H

#include <emacs-module.h>
#include <stdarg.h>
#include <string.h>

// Since free and malloc are provided by emacs already
void free (void *);
void *malloc (unsigned long);
void *calloc (unsigned long, unsigned long);
int setenv (const char *envname, const char *envval, int overwrite);

void em_message (emacs_env *env, const char *fmt, ...);
void em_error (emacs_env *env, const char *fmt, ...);

#endif
